Bug 819312 - [abrt] vidalia-0.2.15-1.fc17: QString::startsWith: Process /usr/bin/vidalia was killed by signal 11 (SIGSEGV)
[abrt] vidalia-0.2.15-1.fc17: QString::startsWith: Process /usr/bin/vidalia w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vidalia (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
abrt_hash:4584fc3314326c6d6a40f50fd0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 09:51 EDT by Misha Shnurapet
Modified: 2013-08-01 05:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.68 KB, text/plain)
2012-05-06 09:51 EDT, Misha Shnurapet
no flags Details
File: smolt_data (2.94 KB, text/plain)
2012-05-06 09:51 EDT, Misha Shnurapet
no flags Details
File: maps (53.10 KB, text/plain)
2012-05-06 09:51 EDT, Misha Shnurapet
no flags Details
File: dso_list (11.16 KB, text/plain)
2012-05-06 09:51 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Misha Shnurapet 2012-05-06 09:51:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        vidalia
crash_function: QString::startsWith
executable:     /usr/bin/vidalia
kernel:         3.3.4-4.fc17.x86_64
pid:            1739
pwd:            /
remote_result:  NOTFOUND
time:           Вс. 06 мая 2012 21:55:20
uid:            1000
username:       misha
xsession_errors: 

backtrace:      Text file, 45750 bytes
dso_list:       Text file, 11427 bytes
maps:           Text file, 54379 bytes
smolt_data:     Binary file, 3010 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/misha/2

core_backtrace:
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0xc1a0b QString::startsWith(QChar libQtCore.so.4 -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0x105003 TorControl::getInfo(QStringList [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0x1057b7 TorControl::getInfo(QString [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0x105918 TorControl::ipToCountry(QHostAddress [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0xc4c0c GeoIpResolver::resolveUsingTor(QHostAddress [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0xc4d09 GeoIpResolver::resolve(QHostAddress [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0xc5c2e NetViewer::addRouter(RouterDescriptor [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0xc79a9 NetViewer::loadNetworkStatus() [exe] -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0xc7c82 NetViewer::refresh() [exe] -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x18c09f QMetaObject::activate(QObject*, libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x18a01c QObject::event(QEvent*) libQtCore.so.4 -
:b646c880a71a01db3170547dfa9994b60478ae7e 0x1ca47c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:b646c880a71a01db3170547dfa9994b60478ae7e 0x1ce9aa QApplication::notify(QObject*, libQtGui.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x17595e QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x1a6252 - libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x1a3384 - libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x1a33a1 - libQtCore.so.4 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x1a39e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:b646c880a71a01db3170547dfa9994b60478ae7e 0x26a41e - libQtGui.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x17495f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x174be8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:fe399c87ce3f6287a5ad99166ab1dc1775665d77 0x179718 QCoreApplication::exec() libQtCore.so.4 -
:6c798f2fe608d4704b43cd552f397a424ac8ff92 0x4ad89 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=saw
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/misha/keyring-2oJ7yG
:'IMSETTINGS_MODULE=X compose table'
:USER=misha
:USERNAME=misha
:MAIL=/var/spool/mail/misha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/misha/.local/bin:/home/misha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1435
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/misha
:SHLVL=1
:LOGNAME=misha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zff1B3oXIq,guid=22aa1ae3f5f8aff3fd1a43f600000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/misha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-misha-aqUupo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1439,unix/unix:/tmp/.ICE-unix/1439
:GPG_AGENT_INFO=/run/user/misha/keyring-2oJ7yG/gpg:0:1
:SSH_AUTH_SOCK=/run/user/misha/keyring-2oJ7yG/ssh
:DESKTOP_AUTOSTART_ID=106e2c2921bce8e853133630165653469900000014390004

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30955                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30955                30955                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0102002
:2:/dev/null
:pos:	0
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[22612]
:pos:	0
:flags:	02004000
:5:pipe:[22612]
:pos:	0
:flags:	02004001
:6:socket:[22622]
:pos:	0
:flags:	02004002
:7:socket:[22761]
:pos:	0
:flags:	02004002
:8:socket:[21921]
:pos:	0
:flags:	02004002
:9:socket:[21946]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:socket:[22895]
:pos:	0
:flags:	02000002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:pipe:[21997]
:pos:	0
:flags:	02004001
:15:pipe:[21998]
:pos:	0
:flags:	02004000
:16:socket:[22001]
:pos:	0
:flags:	02004002

var_log_messages:
:May  6 21:55:20 saw kernel: [ 7321.492561] vidalia[1739]: segfault at 7f70c840f1da ip 0000003735ac1a0b sp 00007fffa891d728 error 4 in libQtCore.so.4.8.1[3735a00000+2c0000]
:May  6 21:55:21 saw abrt[21524]: Saved core dump of pid 1739 (/usr/bin/vidalia) to /var/spool/abrt/ccpp-2012-05-06-21:55:20-1739 (57925632 bytes)
Comment 1 Misha Shnurapet 2012-05-06 09:51:47 EDT
Created attachment 582459 [details]
File: backtrace
Comment 2 Misha Shnurapet 2012-05-06 09:51:50 EDT
Created attachment 582460 [details]
File: smolt_data
Comment 3 Misha Shnurapet 2012-05-06 09:51:53 EDT
Created attachment 582461 [details]
File: maps
Comment 4 Misha Shnurapet 2012-05-06 09:51:56 EDT
Created attachment 582462 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 22:44:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 05:15:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.